Bug 518429 - combination of local repo and cifs network file system makes subversion break
Summary: combination of local repo and cifs network file system makes subversion break
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 10
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 11:54 UTC by Bjorge Solli
Modified: 2009-12-18 09:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:40:45 UTC


Attachments (Terms of Use)
strace of svn command (42.68 KB, text/plain)
2009-08-20 13:11 UTC, Bjorge Solli
no flags Details

Description Bjorge Solli 2009-08-20 11:54:14 UTC
Description of problem:
We use cifs file systems for home dirs. When making a local repo using svnadmin we get an error like this when we try to move a dir:
svn: Can't remove 'dd/.svn/tmp/text-base': No such file or directory

Version-Release number of selected component (if applicable):
subversion-1.6.4-2.fc10.x86_64 (and subversion-1.5.4-3.x86_64)

How reproducible:
every time

Steps to Reproduce:
[st01368@solli svn]$ svn co file:///Home/siv16/st01368/svn/localrepos/test localtest
A    localtest/dir
Checked out revision 3.
[st01368@solli svn]$ cd localtest/
[st01368@solli localtest]$ mkdir d
[st01368@solli localtest]$ svn add d
A         d
[st01368@solli localtest]$ svn ci -m "message"
Adding         d
Committed revision 6.
[st01368@solli localtest]$ svn mv d dd
svn: Can't remove 'dd/.svn/tmp/text-base': No such file or directory

Other commands result in a similar error:
[st01368@solli ttime]$ svn rm test
D         test
[st01368@solli ttime]$ svn ci -m "avsluttest"
Deleting       test
svn: Commit succeeded, but other errors follow:
svn: Error bumping revisions post-commit (details follow):
svn: Can't remove '/Home/siv16/st01368/svn/ttime/test/.svn/tmp/text-base': No such file or directory

Additional info:
It seems to be a working dir error as moving the actual subversion to a local disc or a proper https server results in the same error.

Comment 1 Joe Orton 2009-08-20 13:05:26 UTC
This is highly likely to be atomicity/caching/etc problems in the CIFS filesystem.  Can you capture the output of a command using strace, and attach it?

  $ strace -o /tmp/bug518429.txt svn ci -m "test"

Comment 2 Bjorge Solli 2009-08-20 13:11:33 UTC
Created attachment 358087 [details]
strace of svn command

strace -o bug518429.txt svn mv d dd

Comment 3 Bjorge Solli 2009-08-25 14:43:05 UTC
I see the error is that svn cannot find a file (.svn/tmp/text-base). When should this file have been made? Maybe a different svn command should have made it and that we really should be looking at an strace from this svn command?

Comment 4 Bjorge Solli 2009-08-26 13:40:24 UTC
Should this bug be moved to samba-client(mount.cifs) or the kernel (module that give us cifs capabilities)?

Comment 5 Bug Zapper 2009-11-18 10:05:24 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-12-18 09:40:45 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.